;***************************************************************
;* TMS320C2000 G3 C/C++ Codegen                               PC v20.2.1.LTS *
;* Date/Time created: Thu Dec 30 17:43:23 2021                 *
;***************************************************************
	.compiler_opts --abi=eabi --float_support=fpu64 --hll_source=on --mem_model:code=flat --mem_model:data=large --object_format=elf --silicon_errata_fpu1_workaround=off --silicon_version=28 --symdebug:dwarf --symdebug:dwarf_version=4 --tmu_support=tmu0 
	.asg	XAR2, FP

$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320C2000 G3 C/C++ Codegen PC v20.2.1.LTS Copyright (c) 1996-2018 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("C:\Users\JakubSmykla\Documents\GitHub\OTMR_Collector\untitledf28388_ert_rtw\CCS_Project\Debug")

$C$DW$1	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$1, DW_AT_name("configureInputXBar")
	.dwattr $C$DW$1, DW_AT_linkage_name("configureInputXBar")
	.dwattr $C$DW$1, DW_AT_declaration
	.dwattr $C$DW$1, DW_AT_external
	.dwattr $C$DW$1, DW_AT_decl_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c")
	.dwattr $C$DW$1, DW_AT_decl_line(0x08)
	.dwattr $C$DW$1, DW_AT_decl_column(0x0d)
$C$DW$2	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$20)

$C$DW$3	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$3, DW_AT_type(*$C$DW$T$20)

	.dwendtag $C$DW$1

;	C:\PROGRA~3\MATLAB\SUPPOR~1\R2021a\3P778C~1.INS\TIC200~1.INS\ti-cgt-c2000_20.2.1.LTS\bin\acia2000.exe -@C:\\Users\\JAKUBS~1\\AppData\\Local\\Temp\\{4E63D8A2-C8B3-4E6D-B99E-FED3F09778FA} 
	.sect	".text"
	.clink
	.global	||configureIXbar||

$C$DW$4	.dwtag  DW_TAG_subprogram
	.dwattr $C$DW$4, DW_AT_name("configureIXbar")
	.dwattr $C$DW$4, DW_AT_low_pc(||configureIXbar||)
	.dwattr $C$DW$4, DW_AT_high_pc(0x00)
	.dwattr $C$DW$4, DW_AT_linkage_name("configureIXbar")
	.dwattr $C$DW$4, DW_AT_external
	.dwattr $C$DW$4, DW_AT_decl_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c")
	.dwattr $C$DW$4, DW_AT_decl_line(0x0d)
	.dwattr $C$DW$4, DW_AT_decl_column(0x06)
	.dwattr $C$DW$4, DW_AT_TI_max_frame_size(-4)
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c",line 14,column 1,is_stmt,address ||configureIXbar||,isa 0

	.dwfde $C$DW$CIE, ||configureIXbar||
;----------------------------------------------------------------------
;  13 | void configureIXbar(void)                                              
;----------------------------------------------------------------------

;***************************************************************
;* FNAME: configureIXbar                FR SIZE:   2           *
;*                                                             *
;* FUNCTION ENVIRONMENT                                        *
;*                                                             *
;* FUNCTION PROPERTIES                                         *
;*                            2 Parameter,  0 Auto,  0 SOE     *
;***************************************************************

||configureIXbar||:
	.dwcfi	cfa_offset, -2
	.dwcfi	save_reg_to_mem, 26, 0
        ADDB      SP,#2                 ; [CPU_ARAU] 
	.dwcfi	cfa_offset, -4
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c",line 16,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  16 | EALLOW;                                                                
;----------------------------------------------------------------------
        EALLOW    ; [CPU_ALU] |16| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c",line 17,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  17 | configureInputXBar(24, 7);                                             
;----------------------------------------------------------------------
        MOVB      ACC,#7                ; [CPU_ALU] |17| 
        MOVL      *-SP[2],ACC           ; [CPU_ALU] |17| 
        MOVB      ACC,#24               ; [CPU_ALU] |17| 
$C$DW$5	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$5, DW_AT_low_pc(0x00)
	.dwattr $C$DW$5, DW_AT_name("configureInputXBar")
	.dwattr $C$DW$5, DW_AT_TI_call

        LCR       #||configureInputXBar|| ; [CPU_ALU] |17| 
        ; call occurs [#||configureInputXBar||] ; [] |17| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c",line 18,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  18 | configureInputXBar(25, 8);                                             
;----------------------------------------------------------------------
        MOVB      ACC,#8                ; [CPU_ALU] |18| 
        MOVL      *-SP[2],ACC           ; [CPU_ALU] |18| 
        MOVB      ACC,#25               ; [CPU_ALU] |18| 
$C$DW$6	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$6, DW_AT_low_pc(0x00)
	.dwattr $C$DW$6, DW_AT_name("configureInputXBar")
	.dwattr $C$DW$6, DW_AT_TI_call

        LCR       #||configureInputXBar|| ; [CPU_ALU] |18| 
        ; call occurs [#||configureInputXBar||] ; [] |18| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c",line 19,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  19 | configureInputXBar(26, 9);                                             
;----------------------------------------------------------------------
        MOVB      ACC,#9                ; [CPU_ALU] |19| 
        MOVL      *-SP[2],ACC           ; [CPU_ALU] |19| 
        MOVB      ACC,#26               ; [CPU_ALU] |19| 
$C$DW$7	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$7, DW_AT_low_pc(0x00)
	.dwattr $C$DW$7, DW_AT_name("configureInputXBar")
	.dwattr $C$DW$7, DW_AT_TI_call

        LCR       #||configureInputXBar|| ; [CPU_ALU] |19| 
        ; call occurs [#||configureInputXBar||] ; [] |19| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c",line 20,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  20 | configureInputXBar(20, 10);                                            
;----------------------------------------------------------------------
        MOVB      ACC,#10               ; [CPU_ALU] |20| 
        MOVL      *-SP[2],ACC           ; [CPU_ALU] |20| 
        MOVB      ACC,#20               ; [CPU_ALU] |20| 
$C$DW$8	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$8, DW_AT_low_pc(0x00)
	.dwattr $C$DW$8, DW_AT_name("configureInputXBar")
	.dwattr $C$DW$8, DW_AT_TI_call

        LCR       #||configureInputXBar|| ; [CPU_ALU] |20| 
        ; call occurs [#||configureInputXBar||] ; [] |20| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c",line 21,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  21 | configureInputXBar(21, 11);                                            
;----------------------------------------------------------------------
        MOVB      ACC,#11               ; [CPU_ALU] |21| 
        MOVL      *-SP[2],ACC           ; [CPU_ALU] |21| 
        MOVB      ACC,#21               ; [CPU_ALU] |21| 
$C$DW$9	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$9, DW_AT_low_pc(0x00)
	.dwattr $C$DW$9, DW_AT_name("configureInputXBar")
	.dwattr $C$DW$9, DW_AT_TI_call

        LCR       #||configureInputXBar|| ; [CPU_ALU] |21| 
        ; call occurs [#||configureInputXBar||] ; [] |21| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c",line 22,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  22 | configureInputXBar(23, 12);                                            
;----------------------------------------------------------------------
        MOVB      ACC,#12               ; [CPU_ALU] |22| 
        MOVL      *-SP[2],ACC           ; [CPU_ALU] |22| 
        MOVB      ACC,#23               ; [CPU_ALU] |22| 
$C$DW$10	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$10, DW_AT_low_pc(0x00)
	.dwattr $C$DW$10, DW_AT_name("configureInputXBar")
	.dwattr $C$DW$10, DW_AT_TI_call

        LCR       #||configureInputXBar|| ; [CPU_ALU] |22| 
        ; call occurs [#||configureInputXBar||] ; [] |22| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c",line 23,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  23 | configureInputXBar(30, 13);                                            
;----------------------------------------------------------------------
        MOVB      ACC,#13               ; [CPU_ALU] |23| 
        MOVL      *-SP[2],ACC           ; [CPU_ALU] |23| 
        MOVB      ACC,#30               ; [CPU_ALU] |23| 
$C$DW$11	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$11, DW_AT_low_pc(0x00)
	.dwattr $C$DW$11, DW_AT_name("configureInputXBar")
	.dwattr $C$DW$11, DW_AT_TI_call

        LCR       #||configureInputXBar|| ; [CPU_ALU] |23| 
        ; call occurs [#||configureInputXBar||] ; [] |23| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c",line 24,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  24 | EDIS;                                                                  
;----------------------------------------------------------------------
        EDIS      ; [CPU_ALU] |24| 
	.dwpsn	file "C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c",line 25,column 1,is_stmt,isa 0
        SUBB      SP,#2                 ; [CPU_ARAU] 
	.dwcfi	cfa_offset, -2
$C$DW$12	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$12, DW_AT_low_pc(0x00)
	.dwattr $C$DW$12, DW_AT_TI_return

        LRETR     ; [CPU_ALU] 
        ; return occurs ; [] 
	.dwattr $C$DW$4, DW_AT_TI_end_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/MW_c28xx_xbar.c")
	.dwattr $C$DW$4, DW_AT_TI_end_line(0x19)
	.dwattr $C$DW$4, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$4

;**************************************************************
;* UNDEFINED EXTERNAL REFERENCES                              *
;**************************************************************
	.global	||configureInputXBar||

;***************************************************************
;* BUILD ATTRIBUTES                                            *
;***************************************************************
	.battr "c28xabi", Tag_File, 1, Tag_float_args(0)
	.battr "c28xabi", Tag_File, 1, Tag_double_args(0)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF CIE ENTRIES                                           *
;***************************************************************

$C$DW$CIE	.dwcie 26
	.dwcfi	cfa_register, 20
	.dwcfi	cfa_offset, 0
	.dwcfi	same_value, 28
	.dwcfi	same_value, 6
	.dwcfi	same_value, 7
	.dwcfi	same_value, 8
	.dwcfi	same_value, 9
	.dwcfi	same_value, 10
	.dwcfi	same_value, 11
	.dwcfi	same_value, 59
	.dwcfi	same_value, 63
	.dwcfi	same_value, 67
	.dwcfi	same_value, 71
	.dwendentry
	.dwendtag $C$DW$CU


;***************************************************************
;* TYPE INFORMATION                                            *
;***************************************************************

$C$DW$TU$2	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$2
$C$DW$T$2	.dwtag  DW_TAG_unspecified_type
	.dwattr $C$DW$T$2, DW_AT_name("void")

	.dwendtag $C$DW$TU$2


$C$DW$TU$4	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$4
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$4


$C$DW$TU$5	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$5
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$5


$C$DW$TU$6	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$6
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$6


$C$DW$TU$7	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$7
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$7


$C$DW$TU$8	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$8
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$8


$C$DW$TU$9	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$9
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$9


$C$DW$TU$10	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$10
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$10


$C$DW$TU$11	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$11
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x01)

	.dwendtag $C$DW$TU$11


$C$DW$TU$12	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$12
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("long")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$12


$C$DW$TU$13	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$13
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned long")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$13


$C$DW$TU$20	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$20
$C$DW$T$20	.dwtag  DW_TAG_typedef
	.dwattr $C$DW$T$20, DW_AT_name("uint32_T")
	.dwattr $C$DW$T$20, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$T$20, DW_AT_decl_file("C:/Users/JakubSmykla/Documents/GitHub/OTMR_Collector/untitledf28388_ert_rtw/rtwtypes.h")
	.dwattr $C$DW$T$20, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$20, DW_AT_decl_column(0x17)

	.dwendtag $C$DW$TU$20


$C$DW$TU$14	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$14
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$14


$C$DW$TU$15	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$15
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$15


$C$DW$TU$16	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$16
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x02)

	.dwendtag $C$DW$TU$16


$C$DW$TU$17	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$17
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$17


$C$DW$TU$18	.dwtag  DW_TAG_type_unit
	.dwmtype  $C$DW$T$18
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x04)

	.dwendtag $C$DW$TU$18

